gr::dab::fib_sink_vb Class Referenceabstract

<+description of block+> More...

`#include <fib_sink_vb.h>`

Inheritance diagram for gr::dab::fib_sink_vb:
[legend]

## Public Types

typedef std::shared_ptr< fib_sink_vb > | sptr

## Public Member Functions

virtual std::string | get_ensemble_info ()=0
virtual std::string | get_service_info ()=0
virtual std::string | get_service_labels ()=0
virtual std::string | get_subch_info ()=0
virtual std::string | get_programme_type ()=0
virtual bool | get_crc_passed ()=0
virtual void | set_print_channel_info (bool val)=0

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of dab::fib_sink_vb.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<fib_sink_vb> gr::dab::fib_sink_vb::sptr

## Member Function Documentation

## get_crc_passed()

virtual bool gr::dab::fib_sink_vb::get_crc_passed | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## get_ensemble_info()

virtual std::string gr::dab::fib_sink_vb::get_ensemble_info | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## get_programme_type()

virtual std::string gr::dab::fib_sink_vb::get_programme_type | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## get_service_info()

virtual std::string gr::dab::fib_sink_vb::get_service_info | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## get_service_labels()

virtual std::string gr::dab::fib_sink_vb::get_service_labels | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## get_subch_info()

virtual std::string gr::dab::fib_sink_vb::get_subch_info | ( |  | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

## make()

sptr gr::dab::fib_sink_vb::make | ( |  | ) |

static

Return a shared_ptr to a new instance of dab::fib_sink_vb.

To avoid accidental use of raw pointers, dab::fib_sink_vb's constructor is in a private implementation class. dab::fib_sink_vb::make is the public interface for creating new instances.

## set_print_channel_info()

virtual void gr::dab::fib_sink_vb::set_print_channel_info | ( | bool | val | ) |

pure virtual

Implemented in gr::dab::fib_sink_vb_impl.

The documentation for this class was generated from the following file:

- fib_sink_vb.h